#
# spec file for package xfsprogs (Version 2.7.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           xfsprogs
BuildRequires:  e2fsprogs-devel
Version:        2.7.11
Release:        18.2
Conflicts:      xfsdump < 2.0.0
Autoreqprov:    on
Group:          System/Filesystems
License:        GPL
URL:            http://oss.sgi.com/projects/xfs/
Summary:        Utilities for managing the XFS file system
Source0:        %{name}-%{version}.src.tar.bz2
Source1:        fsck.xfs
Patch0:         %{name}-%{version}-docdir.diff
Patch1:         %{name}-%{version}-uninitialized.diff
Patch2:         %{name}-%{version}-no_la_in_root.diff
Patch3:         xfs-cmds-25183a-fix-xfs-headers-for-dmf
Patch4:         xfs-cmds-25194a-fix-parents-interface
Patch5:         xfs-copy-bug.diff
Patch6:         xfsprogs-2.7.11-ppc64.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A set of commands to use the XFS file system, including mkfs.xfs.

XFS is a high performance journaling file system which originated on
the SGI IRIX platform.	It is completely multithreaded. It can support
large files and large file systems, extended attributes, and variable
block sizes.It is extent based and makes extensive use of Btrees
(directories, extents, and free space) to aid both performance and
scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/ for
complete details.  This implementation is on-disk compatible with the
IRIX version of XFS.



Authors:
--------
    SGI

%debug_package
%package      devel
Requires:       xfsprogs >= 2.0.0 
Conflicts:      xfsprogs < 2.0.0
Autoreqprov:    on
Group:          System/Filesystems
License:        GPL
URL:            http://oss.sgi.com/projects/xfs/
Summary:        XFS Filesystem-specific Static Libraries and Headers

%description devel
xfsprogs-devel contains the libraries and header files needed to
develop XFS file system-specific programs.

You should install xfsprogs-devel if you want to develop XFS file
system-specific programs.  If you install xfsprogs-devel, you will also
want to install xfsprogs.



Authors:
--------
    SGI

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6

%build
%{suse_update_config -f}
export OPTIMIZER="-fPIC"
export DEBUG=-DNDEBUG
export LIBUUID=/usr/%{_lib}/libuuid.a
export CFLAGS="$RPM_OPT_FLAGS"
aclocal --force
autoconf --force
./configure \
--prefix=%{_prefix} \
--exec-prefix=/ \
--sbindir=/sbin \
--bindir=%{_sbindir} \
--libdir=/%{_lib} \
--libexecdir=/usr/%{_lib} \
--includedir=%{_includedir} \
--mandir=%{_mandir} \
--datadir=%{_datadir}
make

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
rm -rf $RPM_BUILD_ROOT/sbin/fsck.xfs
install -m755 %{S:1} $RPM_BUILD_ROOT/sbin
files()
{
	sort | uniq | awk ' 
$1 == "d" { printf ("%%%%dir %%%%attr(%s,root,root) %s\n", $2, $5); } 
$1 == "f" { if (match ($6, "/usr/share/man") || match ($6, "/usr/share/doc/packages/xfsprogs"))
		printf ("%%%%doc ");
	    if (match ($6, "/usr/share/man"))
		printf ("%%%%attr(%s,root,root) %s*\n", $2, $6);
	    else
	    if (match ($6, "/libhandle.so"))
		printf ("%%%%attr(0755,root,root) %s\n", $6); 
	      else
                printf ("%%%%attr(%s,root,root) %s\n", $2, $6);
}
$1 == "l" { if (match ($3, "/usr/share/man") || match ($3, "/usr/share/doc/packages/xfsprogs"))
		printf ("%%%%doc ");
	    if (match ($3, "/usr/share/man"))
		printf ("%attr(0777,root,root) %s*\n", $3);
	    else
		printf ("%attr(0777,root,root) %s\n", $3); }'
}
set +x
files < "$DIST_INSTALL" | egrep -v -e "^%%dir.*/sbin$" -e "^%%dir.*/man[58]$" -e "^%%dir.*/lib(64)?$" > files.rpm
files < "$DIST_INSTALL_DEV" | egrep -v -e "^%%dir.*/lib(64)?$" -e "^%%dir.*/man3$" > filesdevel.rpm
set -x

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f files.rpm
%defattr(-,root,root,755)

%files devel -f filesdevel.rpm
%defattr(-,root,root,755)

%changelog -n xfsprogs
* Tue Apr 18 2006 - ro@suse.de
- fix build on ppc64: don't redefine __s64 and __u64
* Tue Mar 07 2006 - agruen@suse.de
- xfs-copy-bug.diff: Fix a bug in the xfs_copy log re-write code
  avoiding duplicate UUIDs.  Also fix the logic for sizing the
  direct write buffer, which fails for large maxdio sizes
  (155749).
* Fri Feb 17 2006 - mjancar@suse.cz
- include bugfixes from SGI (#151782)
* Thu Feb 09 2006 - mjancar@suse.cz
- make fsck.xfs verbose (#146670)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - mjancar@suse.cz
- fix some files not owned by root:root
* Tue Jan 17 2006 - mjancar@suse.cz
- the tarball labeled 2.7.11 was wrong version,
  use a corrected one received from SGI
* Mon Jan 16 2006 - mjancar@suse.cz
- update to 2.7.11
* Wed Jan 11 2006 - mjancar@suse.cz
- update to 2.7.3
* Wed Sep 07 2005 - lmichnovic@suse.cz
- changed atributes of file /lib/libhandle.so.1.0.3 to 0755 (#114848)
* Sun Aug 21 2005 - ro@suse.de
- no .a/.la files in /
* Tue Aug 02 2005 - mjancar@suse.cz
- Update to 2.6.36 with the following changes since .28:
  o Fix mkfs stripe unit alignment checks for external logs
  o Fix running xfs_db on non-XFS devices (was segfaulting)
  o Fix a 32 bit wrap in xfs_repair searching for secondary
  superblocks.
  o Add back fd_to_handle() to libhandle.
  o Add handle call mappings to xfsctl() for IRIX.
  o Switch to the fsxattr xfsctl for getting/setting project
  identifiers on inodes, remove the shortolived specialised
  ioctls for doing this.
  o Make the "blocktrash" xfs_db command available in expert-
  mode only.
  o Another libhandle fix on 64bit, Big Endian systems.
  o Minor endian cleanups in some tools.
  o Fix a couple of xfs_quota double-reporting issues when
  issuing commands via the oc (command line) 0option.
  o Fix previous MD driver-specific change to correctly handle
  (i.e. not "stripe align") linear arrays.
  o Add MD RAID level 4, 6, and 10 support.
  o Make mkfs.xfs automatically adjiust the geometry to use
  a sector size that matches the block size when MD RAID
  level 4/5/6 are in use.
  o Couple of minor man page fixups, including patch botch on
  initial revision of xfs_quota(8).
  o Add xfs_quota(8) command which knows how to do all things
  quota related, and can also do the XFS specific extensions
  like project quota, realtime device quota, etc.
  o Created a library of common code (libxcmd.a) shared by
  xfs_growfs, xfs_io and xfs_quota.
  o Fix use of regular files for realtime subvolumes (debugging
  only, really).
  o Fix bug in xfs_io command line option handling when commands
  where specified for multiple files at once.
  o Allow xfs_io to specify O_NONBLOCK for regular file IO.
  o Fix MD driver-specific code to not attempt stripe alignment
  for volumes that are not stripes (e.g. concat/mirror).
  o Fix mkfs.xfs -dfile.
  o Fix libhandle on 64bit, Big Endian systems.
* Tue Apr 05 2005 - mmj@suse.de
- Add gettext-devel to #nfb since it needs msgfmt
- Update to 2.6.28 with the following changes since .25:
  o Fix compiler warning in repair/dir.c size checks.
  o Fix more compilation problem with version 4 of gcc
  o Make xfs_db and xfs_repair cope with filesystems that
  have project quota enabled.
  o Fix default mkfs allocation group size calculations
  for filesystem sizes in the range 32 - 64 terabytes.
  o Add noalign mkfs suboptions for -d/-r to disable the
  sunit/swidth auto-alignment (based on logical volume
  geometry, extracted from the driver).
  o Fix compilation problem with version 4 of gcc
  o Added a streamlined <xfs/xfs.h> for programs wanting
  to make use of the XFS-specific kernel interfaces (to
  address complaints that <xfs/libxfs.h> was "heavy").
  o Add imap as an expert command in xfs_io, making it
  more easily accessible to those who need it.
  o Extended statistics reporting for xfs_io command.
  o Fixed readline support for current distributions.
  o Add an --enable-termcap=[yes/no] configure option,
  and changed --enable-readline=[yes/no] to not force
  linking with libtermcap.  Builds on some platforms
  may need to use both options, but most distributions
  do not require --enable-termcap when linking against
  libreadline.
  o Minor man page updates.
* Mon Feb 07 2005 - mjancar@suse.cz
- update to 2.6.25
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 2.6.13
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 2.6.3
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Oct 03 2003 - schwab@suse.de
- Fix broken ioctl definitions.
* Thu Aug 21 2003 - ja@suse.cz
- Update to version 2.5.6.
- Fix a mkfs problem where it could exit inappropriately when
  a large data volume stripe unit was either specified on the
  command line or via querying the underlying volume manager.
* Fri Aug 08 2003 - ja@suse.cz
- Updated to 2.5.5 (XFS 1.3 release).
- Introducing xfs_copy.
- Fix shell quoting problem in xfs_bmap script.
- Fix xvm stripe detection in libdisk - pass correctly
  sized structures to xvm ioctls.
- Fix missing initialisation of stripe unit/width alignment
  information during libxfs_mount.
- Fix botched repair typecast for multi-terabyte filesystems.
- Fix libdisk device driver (volume managers) detection code
  used by mkfs, so that drivers with multiple majors are not
  incorrectly processed.
* Fri Jun 20 2003 - ja@suse.cz
- Upgrade to version 2.5.0.
- Allow xfs_repair to run on read-only filesystems.
- Fix a bug in mkfs - creating version 2 logs, an incorrect
  stripe unit value was being passed to libxfs_clear_log.
- Fix error in xfs_io pwrite code with large request sizes.
- Fix rounding-down-input problems in several xfs_io commands.
- Changed mkfs.xfs default log size scaling algorithm slightly,
  to create larger logs at smaller filesystem sizes by default
  (thanks to Andi Kleen for the patch).
- Enable support for sector sizes larger than 512 bytes.
* Mon Jun 16 2003 - ja@suse.cz
- File list fixed for xfsprogs-devel.
* Mon Apr 28 2003 - jderfina@suse.cz
- upgrade to version 2.4.7
- Fix a bug in detection of "clean" and "error" states with MD devices.
- Added the xfs_io(8) command, an xfs_db(8) alike command for testing
  and debugging the XFS file IO path.
- Corrected size check for realtime summary inode (not the same as
  the realtime bitmap inode) in xfs_repair.
- Enable unwritten extents by default in mkfs.xfs. Should be used with
  kernel code newer than Mar  3 2003.
* Wed Feb 12 2003 - jderfina@suse.cz
- update to version 2.3.9
- Additional xfs_repair check in v2 directory handling for blks
  with no data entries (merged from IRIX), includes several
  handy comments sprinkled throughout this v2 dir code.
- Fix an endian bug in the same area of code (v2 dirs, phase 6,
  longform_dir2_rebuild_setup)
- xfs_repair has additional checks for bad sector values now.
- Fixed obscure issue in mkfs where only the first AG would
  get its AGFL freelist "fixed" - not clear this caused any
  issues in practice.
- Fixed an issue in xfs_repair where data past the end of the
  valid superblock fields was sometimes not cleared, when it
  really should have been (due to a libxfs problem).
- Fix an endian bug in xfs_db freesp command when descending
  into multi-level agf cnt/bno btrees.
* Tue Jan 21 2003 - agruen@suse.de
- Remove (Prereq: /sbin/ldconfig) tag, and use %%run_ldconfig
  in %%post and %%postun instead.
* Fri Dec 13 2002 - jderfina@suse.cz
- upgrade to version 2.3.6.
* Wed Oct 09 2002 - jderfina@suse.cz
- update to version 2.3.3
* Tue Aug 20 2002 - mge@suse.de
- update to 2.2.1 (mostly by gd@suse.de)
* Thu May 09 2002 - tcrhak@suse.cz
- fixed for 64 bit platforms
* Fri Apr 19 2002 - kukuk@suse.de
- Look at first in lib64 for libuuid.a before using lib
* Tue Feb 26 2002 - ro@suse.de
- update to 2.0.0
- split off attr and acl subpacks
* Tue Aug 21 2001 - adostal@suse.cz
- split xfsprogs to package xfsprogs-1.2.8, package xfsdump-1.0.9
  and package dmapi-0.1.1
- create patches destdir and dirs for xfsprogs version 1.2.8
* Wed Aug 15 2001 - adostal@suse.cz
- update acl to 1.0.7 ver.
- update xfsprogs to 1.2.8 ver.
- update dmapi to 0.1.1 ver.
- using $RPM_BUILD_ROOT
- create makefile and dirs patches
- split sources to acl, attr, dmapi, xfsdump, xfsprogs
* Mon Jul 23 2001 - schwab@suse.de
- Build with -fPIC, for inclusion in shared library.
- Use aclocal.
* Wed Jun 20 2001 - ro@suse.de
- make it build (libtoolize, fix filelist)
* Fri Jun 15 2001 - choeger@suse.de
- did a cvs up today
* Mon May 21 2001 - choeger@suse.de
- first version
